Bug 1653111 - Rebase RHEL 8 default BIND version to BIND 9.12.x or 9.13.x
Summary: Rebase RHEL 8 default BIND version to BIND 9.12.x or 9.13.x
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: bind
Version: 8.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: 8.0
Assignee: Petr Menšík
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1623566
TreeView+ depends on / blocked
 
Reported: 2018-11-25 22:18 UTC by Robert Scheck
Modified: 2019-05-22 04:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-15 14:51:39 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Scheck 2018-11-25 22:18:50 UTC
Description of problem:
As of writing BIND 9.12.x is the current stable series of BIND, see also:

 - https://copr.fedorainfracloud.org/coprs/isc/bind/
 - https://www.isc.org/downloads/
 - https://www.isc.org/blogs/bind-9-new-versions/

Once it comes to IDN2008 support, BIND 9.13.x would be appreciated.

Version-Release number of selected component (if applicable):
bind-9.11.4-14.P2.el8

Actual results:
BIND 9.11.4

Expected results:
BIND 9.12.x or 9.13.x

Comment 1 Robert Scheck 2018-11-25 22:20:34 UTC
Cross-filed case 02260329 in the Red Hat customer portal.

Comment 2 Tomáš Hozza 2018-11-27 14:29:52 UTC
Hello.

RHEL is an Enterprise distribution aimed to provide a stable platform for customers, to deploy they workloads. For this reason, we want to use upstream versions with longer support, if there are such versions. Current version of BIND in RHEL-8 is 9.11, which is an ESV (Extended Support Version) with EOL currently set to Dec 2021. This is the main reason why we chose 9.11 version for RHEL-8. The version is still relevant.

Version 9.12 has EOL set for April 2019, which is not really suitable for RHEL.
Additionally 9.13 is Unstable Development release, also not suitable for RHEL.

Another potential problem is that ISC DHCP uses BIND libraries for building. However ISC DHCP can not be built against BIND 9.12 or later.

If you are missing specific features in RHEL-8 version of bind, please provide us an explicit list with business case (use case) for each of them, to help us prioritize your request.

We may consider including a newer version of BIND in future releases of RHEL-8, but for now, this is not planned.

Comment 4 Petr Menšík 2018-12-07 10:48:56 UTC
If there is a demand for automatic disabled IDN2008 in dig for command line usage, we are able to provide it in 9.11 version as well.  If some features not available in bind 9.11 are required, please name explicitly which missing features are important to the customer.

Comment 5 Robert Scheck 2018-12-12 00:40:53 UTC
I've updated GSS case 02260329 with the business justification. Technical extract:

 - stale-answer-enable, stale-answer-ttl and max-stale-ttl options
 - new-zones-directory option, see also GSS ticket 01597035 and bug #1315821
 - Full IDNA 2008 support, see also bug #1098783

Comment 14 Petr Menšík 2019-01-09 20:59:07 UTC
(In reply to Robert Scheck from comment #5)
> I've updated GSS case 02260329 with the business justification. Technical
> extract:
> 
>  - stale-answer-enable, stale-answer-ttl and max-stale-ttl options
This is the only feature missing in current bind. It has to be backported.
>  - new-zones-directory option, see also GSS ticket 01597035 and bug #1315821
This bug is solved the same way as on RHEL 7. new-zones-directory option is not supported. However bind home at /var/named is made writeable by named, making default configuration working without additional tweak. Backport is possible but unnecessary.
>  - Full IDNA 2008 support, see also bug #1098783
Sure, this is already in place, support for IDN 2008 is already supported in both RHEL 7 and RHEL 8.

Comment 15 Petr Menšík 2019-01-09 21:18:39 UTC
Created a new bug for stale cache feature: bug #1664863

Comment 16 Tomáš Hozza 2019-02-15 14:49:59 UTC
Bug for the only missing feature from comment #5 is being tracked in bug #1664863. As mentioned in comment #2, we currently don't plan to update BIND to 9.12 or 9.13 version. We will most probably revisit the potential update of BIND once there is a new *ESV* version of BIND.


Note You need to log in before you can comment on or make changes to this bug.